var Tinkerforge = require('tinkerforge');

var HOST = 'localhost';
var PORT = 4223;
var UID = 'gVq';// Change to your UID

var ipcon = new Tinkerforge.IPConnection();// Create IP connection
var io = new Tinkerforge.BrickletIO4(UID, ipcon);// Create device object

ipcon.connect(HOST, PORT,
    function(error) {
        console.log('Error: '+error);        
    }
);// Connect to brickd

// Don't use device before ipcon is connected
ipcon.on(Tinkerforge.IPConnection.CALLBACK_CONNECTED,
    function(connectReason) {
        // Set pin 1 to output low
        io.setConfiguration(1 << 1, 'o', false);
        // Set pin 2 and 3 to output high
        io.setConfiguration((1 << 2) | (1 << 3), 'o', true);
       }
);

console.log("Press any key to exit ...");
process.stdin.on('data',
    function(data) {
        ipcon.disconnect();
        process.exit(0);
    }
);

