var Tinkerforge = require('tinkerforge');

var HOST = 'localhost';
var PORT = 4223;
var UID = '5WL';// Change to your UID

var ipcon = new Tinkerforge.IPConnection();// Create IP connection
var poti = new Tinkerforge.BrickletLinearPoti(UID, ipcon);// Create device object

ipcon.connect(HOST, PORT,
    function(error) {
        console.log('Error: '+error);        
    }
);// Connect to brickd

// Don't use device before ipcon is connected
ipcon.on(Tinkerforge.IPConnection.CALLBACK_CONNECTED,
    function(connectReason) {
        // Set Period for position callback to 0.05s (50ms)
        // Note: The position position is only called every 50ms if the 
        // position has changed since the last call!
        poti.setPositionCallbackPeriod(50);   
    }
);

// Register position callback
poti.on(Tinkerforge.BrickletLinearPoti.CALLBACK_POSITION,
    // Callback function for position callback (parameter has range 0-100)
    function(position) {
        console.log('Position: '+position);
    }
);

console.log("Press any key to exit ...");
process.stdin.on('data',
    function(data) {
        ipcon.disconnect();
        process.exit(0);
    }
);

